Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ITensionLine

    java.lang.Object
      igeo.IObject
          igeo.ICurve
              igeo.ITensionLine

All Implemented Interfaces:
  ICurveI, ICurveOp, IParameter, ITensionI, ITransformable

    public class ITensionLine

extends ICurve
implements ITensionI

Class of IDynamicObject to simulate tension force between two particles.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`ITension` | `tensionDynamics`

Fields inherited from class igeo.ICurve
`curve`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Fields inherited from interface igeo.ITensionI
`defaultTension`

Constructor Summary
`ITensionLine(IParticleAgent p1, IParticleAgent p2)`
`ITensionLine(IParticleAgent p1, IParticleAgent p2, double tension)`
`ITensionLine(IParticleI p1, IParticleI p2)`
`ITensionLine(IParticleI p1, IParticleI p2, double tension)`
`ITensionLine(IParticle p1, IParticle p2)`
`ITensionLine(IParticle p1, IParticle p2, double tension)`
`ITensionLine(IVecI p1, IVecI p2)`
`ITensionLine(IVecI p1, IVecI p2, double tension)`
`ITensionLine(IVec p1, IVec p2)`
`ITensionLine(IVec p1, IVec p2, double tension)`

Method Summary
`boolean` | `constant()` if constantTension is true, amount of force is always constant and it's equals to tension.
`ITensionLine` | `constant(boolean cnst)`
`void` | `initTensionLine(IParticleI p1, IParticleI p2)`
`void` | `initTensionLine(IParticleI p1, IParticleI p2, double tension)`
`IParticleI` | `pt(int i)` getting end point.
`double` | `tension()` tension is a coefficient to convert distance of two points to amount of force.
`ITensionLine` | `tension(double tensionIntensity)`

Methods inherited from class igeo.ICurve
`add, add, add, add, add, add, add, addCP, addCP, addCP, addCP, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, cp, cp, cp, cp, cp, cp, cpNum, cpNum, cpNum, cps, createGraphic, deg, deg, deg, div, div, dup, end, endCP, ep, ep, epNum, epNum, epNum, flip, get, hide, hsb, hsb, hsb, hsb, initCurve, insertCP, insertCP, isClosed, isClosed, isClosed, isRational, isRational, isRational, isValid, knot, knot, knotNum, knotNum, knotNum, knots, knots, knots, layer, len, len, len, mirror, mirror, mul, mul, mv, mv, mv, name, neg, num, num, num, pt, pt, ref, ref, removeCP, removeCP, removeCP, rev, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, show, start, startCP, sub, sub, sub, tan, tan, transform, transform, transform, transform, translate, translate, translate, u, u, uend, uend, uend, ustart, ustart, ustart`

Methods inherited from class igeo.IObject
`addDynamics, alpha, alphaInt, attr, attr, blue, blueInt, clearDynamics, clearGraphics, clr, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, green, greenInt, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, updateGraphic, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tensionDynamics

    public ITension tensionDynamics

Constructor Detail

### ITensionLine

    public ITensionLine(IParticleI p1,
                        IParticleI p2)

### ITensionLine

    public ITensionLine(IParticleI p1,
                        IParticleI p2,
                        double tension)

### ITensionLine

    public ITensionLine(IParticle p1,
                        IParticle p2)

### ITensionLine

    public ITensionLine(IParticle p1,
                        IParticle p2,
                        double tension)

### ITensionLine

    public ITensionLine(IParticleAgent p1,
                        IParticleAgent p2)

### ITensionLine

    public ITensionLine(IParticleAgent p1,
                        IParticleAgent p2,
                        double tension)

### ITensionLine

    public ITensionLine(IVec p1,
                        IVec p2)

### ITensionLine

    public ITensionLine(IVec p1,
                        IVec p2,
                        double tension)

### ITensionLine

    public ITensionLine(IVecI p1,
                        IVecI p2)

### ITensionLine

    public ITensionLine(IVecI p1,
                        IVecI p2,
                        double tension)

Method Detail

### initTensionLine

    public void initTensionLine(IParticleI p1,
                                IParticleI p2)

### initTensionLine

    public void initTensionLine(IParticleI p1,
                                IParticleI p2,
                                double tension)

### tension

    public double tension()

  Description copied from interface: `ITensionI`
  tension is a coefficient to convert distance of two points to amount of force.

  Specified by:
    `tension` in interface `ITensionI`

### tension

    public ITensionLine tension(double tensionIntensity)

  Specified by:
    `tension` in interface `ITensionI`

### constant

    public boolean constant()

  Description copied from interface: `ITensionI`
  if constantTension is true, amount of force is always constant and it's equals to tension. Only direction of force changes. But if the distance is zero, force is also zero.

  Specified by:
    `constant` in interface `ITensionI`

### constant

    public ITensionLine constant(boolean cnst)

  Specified by:
    `constant` in interface `ITensionI`

### pt

    public IParticleI pt(int i)

  Description copied from interface: `ITensionI`
  getting end point. i==0 or i==1

  Specified by:
    `pt` in interface `ITensionI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD